Unable to install WebSphere Application Server v7 Feature Pack for OSGI Applications and Java Persistence API 2.0 1.0.0.0 on the WebSphere Application Server Test Environment v7.0.0.9 provided by Rational Software

Technote (troubleshooting)


Problem(Abstract)

Attempts to install the IBM WebSphere Application Server v7 Feature Pack for OSGI Applications and Java Persistence API 2.0 1.0.0.0 on the WebSphere Application Server Test Environment v7.0.0.9 provided by Rational Software Architect and Rational Application Developer 7.5.5.1 results in the error "Packages WebSphere Application Server V7 Feature Pack for OSGI Applications and Java Persistence API 2.0 1.0.0.0 and IBM Rational Software Architect 7.5.5.1 cannot coexist in the same package group".

Symptom

Screen shot of the error:



This error occurs if you use IBM Installation Manager v1.3.4 or v1.4.



Cause

The updated was installed incorrectly.

Resolving the problem

To install the WebSphere Application Server v7 Feature Pack for OSGI Applications and Java Persistence API 2.0 1.0.0.0 on the WebSphere Application Server Test Environment v7.0.0.9 provided by IBM Rational Software, follow the steps below:

  1. After you configure the Repository for IBM WebSphere Application Server v7 Feature Pack for OSGI Applications and Java Persistence API 2.0 1.0.0.0, Installation Manager will start showing the Import link on the Main tab, as seen below.

    Select Import.



  2. Browse to the location where you have installed the IBM WebSphere Application Server Version 7.0 Test Environment v7.0.0.9:



  3. After the Import completes, you will see a new Package group:


    Package Group Name: IBM WebSphere Application Server - Base
    Package Group Location: C:\Program Files\IBM\SDP\runtimes\base_v7


    containing a new Package:


    IBM WebSphere Application Server V 7.0.0.9


  4. Click on Install in the Main tab of Installation Manager, and install the Feature Pack in the newly created Package Group:




LIMITATIONS:
  1. After you install any Feature Packs or updates in the Package Group IBM WebSphere Application Server - Base, you can no longer apply features and updates to the IBM WebSphere Application Server Version 7.0 Test Environment, until you roll back the changes you made.

  2. If you have installed IBM WebSphere Application Server Version 7.0 Test Environment version lower than 7.0.0.9 you will see the following error when you attempt to perform the Import step:


    The package IBM WebSphere Application Server - Base already belongs to package group IBM Software Delivery Platform




  3. If you are using Installation Manager 1.3.4.1, the above error will also occur (review technote 1422208: Unable to import WebSphere Application Server installed by WebSphere Application Server Test Environment extension. The preferred solution is to upgrade to Installation Manager 1.4 and to WebSphere Application Server Version 7.0 Test Environment 7.0.0.9. With this combination, the workaround shown in that technote is no longer needed.

  4. Rational Application Developer v7.5.5.1 has no tooling support for these new runtime features. For tooling support in relation to these features, see the Rational Application Developer v8.x InfoCenter. The Import action in Installation Manager is not required when installing the Feature Pack on the WebSphere Application Server v7 Test Environment provided by the Rational Application Developer v8 installation package.

  5. After you have installed this Feature Pack, you can no longer Modify your installation of Rational Application Developer. If you attempt to add a feature that was not previously selected, you get this error message:

    Error modifying. There is already a package installed at "C:\Program Files\IBM\SDP\runtimes\base_v7".  The installation directory must not be a parent or sub-directory of a previously used installation directory.




  6. After you have installed this Feature Pack, you can no longer Update your installation of Rational Application Developer. If you try to update from 7.5.5.1 to 7.5.5.2 you will get an error message like:


    The package IBM® WebSphere® Application Server Version 7.0 Test Environment installed on your computer does not match the package installed by Installation Manager. Extra product(s) has been detected with the IBM® WebSphere® Application Server Version 7.0 Test Environment. To continue, please uninstall those extra product(s). Here is the list of extra product detected: [Feature Pack for Communications Enabled Applications, Feature Pack for OSGi Applications and Java Persistence API 2.0].


Related information

Installation instructions
IM 1.4 Import
Rational Application Developer v8 parts
v8 InfoCenter

Cross Reference information
Segment Product Component Platform Version Edition
Software Development Rational Application Developer for WebSphere Software Integrated Test Environment Linux, Windows 7.5, 7.5.1, 7.5.2, 7.5.3, 7.5.4, 7.5.5, 7.5.5.1, 7.5.5.2, 7.5.5.3

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Software Architect for WebSphere Software
Integrated WebSphere Test Environment

Software version:

7.5, 7.5.1, 7.5.2, 7.5.3, 7.5.4, 7.5.5, 7.5.5.1, 7.5.5.2, 7.5.5.3

Operating system(s):

Linux, Windows

Reference #:

1441810

Modified date:

2011-06-11

Translate my page

Machine Translation

Content navigation